BCMessageDigest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.digest

## Class BCMessageDigest

- java.lang.Object
- - java.security.MessageDigestSpi
  - - java.security.MessageDigest
    - - org.bouncycastle.jcajce.provider.digest.BCMessageDigest

- Direct Known Subclasses:
    Blake2b.Blake2b160, Blake2b.Blake2b256, Blake2b.Blake2b384, Blake2b.Blake2b512, GOST3411.Digest, Keccak.DigestKeccak, MD2.Digest, MD4.Digest, MD5.Digest, RIPEMD128.Digest, RIPEMD160.Digest, RIPEMD256.Digest, RIPEMD320.Digest, SHA1.Digest, SHA224.Digest, SHA256.Digest, SHA3.DigestSHA3, SHA384.Digest, SHA512.Digest, SHA512.DigestT, Skein.DigestSkein1024, Skein.DigestSkein256, Skein.DigestSkein512, SM3.Digest, Tiger.Digest, Whirlpool.Digest

      public class BCMessageDigest
      extends java.security.MessageDigest

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Digest` | `digest`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BCMessageDigest(Digest digest)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `engineDigest()`
    `void` | `engineReset()`
    `void` | `engineUpdate(byte input)`
    `void` | `engineUpdate(byte[] input, int offset, int len)`

    - ### Methods inherited from class java.security.MessageDigest

      `clone, digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update, update`

    - ### Methods inherited from class java.security.MessageDigestSpi

      `engineDigest, engineGetDigestLength, engineUpdate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### digest

          protected Digest digest

  - ### Constructor Detail

    - #### BCMessageDigest

          protected BCMessageDigest(Digest digest)

  - ### Method Detail

    - #### engineReset

          public void engineReset()

      Specified by:
        `engineReset` in class `java.security.MessageDigestSpi`

    - #### engineUpdate

          public void engineUpdate(byte input)

      Specified by:
        `engineUpdate` in class `java.security.MessageDigestSpi`

    - #### engineUpdate

          public void engineUpdate(byte[] input,
                          int offset,
                          int len)

      Specified by:
        `engineUpdate` in class `java.security.MessageDigestSpi`

    - #### engineDigest

          public byte[] engineDigest()

      Specified by:
        `engineDigest` in class `java.security.MessageDigestSpi`